package jobqueue

import (
	"time"
)

type JobLog struct {
	ProcessID     int       `json:"process_id"`
	StartTime     time.Time `json:"start_time"`
	EndTime       time.Time `json:"end_time"`
	ExitCode      int       `json:"exit_code"`
	Result        any       `json:"output"`
	ResourceUsage struct {
		Memory uint64 `json:"memory"`
		CPU    struct {
			Percentage float64 `json:"percentage"`
		} `json:"cpu"`
	} `json:"resource_usage"`
	IO struct {
		Disk    int64 `json:"disk"`
		Network int64 `json:"network"`
	} `json:"io"`
	ErrorMsg     string `json:"error_msg"`
	IsSuccessful bool   `json:"is_successful"`
	//Metadata     map[string]string `json:"metadata"`
}
